    001    /* ========================================================================
    002     * JCommon : a free general purpose class library for the Java(tm) platform
    003     * ========================================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jcommon/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * --------------------------
    028     * MultiplexMappingEntry.java
    029     * --------------------------
    030     * (C)opyright 2003-2005, by Thomas Morgner and Contributors.
    031     *
    032     * Original Author:  Thomas Morgner;
    033     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034     *
    035     * $Id: MultiplexMappingEntry.java,v 1.3 2005/10/18 13:33:53 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 22-Nov-2003 : Initial version
    040     *
    041     */
    042
    043    package org.jfree.xml.util;
    044
    045    /**
    046     * A multiplex mapping entry.
    047     */
    048    public class MultiplexMappingEntry {
    049
    050        /** The attribute value. */
    051        private String attributeValue;
    052
    053        /** The target class. */
    054        private String targetClass;
    055
    056        /**
    057         * Creates a new instance.
    058         *
    059         * @param attributeValue  the attribute value.
    060         * @param targetClass  the target class.
    061         */
    062        public MultiplexMappingEntry(final String attributeValue, final String targetClass) {
    063            this.attributeValue = attributeValue;
    064            this.targetClass = targetClass;
    065        }
    066
    067        /**
    068         * Returns the attribute value.
    069         *
    070         * @return The attribute value.
    071         */
    072        public String getAttributeValue() {
    073            return this.attributeValue;
    074        }
    075
    076        /**
    077         * Returns the target class.
    078         *
    079         * @return The target class.
    080         */
    081        public String getTargetClass() {
    082            return this.targetClass;
    083        }
    084
    085    }